
const statusList = [
  { id: '0', label: '已驳回', type: 'danger' },
  { id: '1', label: '待审核', type: 'info' },
  { id: '2', label: '已通过', type: 'success' },
]

const listCol = [
  {
  type:'selection',
  fixed:'left'
},
{
  prop: 'inv_code',
  label: '开票申请编号',
  width: '105px'
},
{
  prop: 'reqCode',
  label: '需求订单编号',
  width: '180px',
},
{
  prop:'status',
  label:'状态',
  _slot_:'status',
  width: '75px'
},

{
  prop: 'inv_type',
  label: '申请类型',
  width: '100px',
  _slot_:'invType'
},
{
  prop: 'invoiceType',
  label: '上传类型',
  'width': '145px',
  _slot_:'invoiceType'
},
{
  prop: 'invoiceCode',
  label: '发票代码',
  'width': '100px'
},
{
  prop: 'invoiceNum',
  label: '发票号码',
  width: '100px'
},

{
  prop: 'open_date',
  label: '开票日期',
  width: '100px'
},
{
  prop: 'subtotal_tax',
  label: '税前金额',
  width:'100px'
},
{
  prop: 'total_amount',
  label: '税后金额',
  width:'100px'
},
{
  prop:'check_code',
  label:'校验码',
  width:'100px'
},
{
  prop:'remark',
  label:'驳回原因',
  minWidth:'120px'
},
{
  prop:'creater',
  label:'创建人',
  width:'80px'
},
{
  prop:'createtime',
  label:'创建时间',
  width:'150px'
}
]

export {
  listCol,
  statusList
}
