const statusList = [
  { id: '1', label: '待供应商上传付款凭证', type: '' },
  { id: '2', label: '待平台审核付款凭证', type: '' },
  { id: '3', label: '平台付款审批驳回', type: '' },
  { id: '4', label: '待供应商上传发票抬头', type: '' },
  { id: '5', label: '待完成发票上传和审核', type: '' },
  { id: '6', label: '平台结算已完成', type: 'success' }
]
const editColumns = [
  {
    prop: 'settle_code',
    label: '平台订单编号',
    span: 6
  },
  {
    prop: 'status',
    label: '状态',
    _slot_: 'status',
    span: 6
  },
  {
    prop:'store_name',
    label:'店铺名称',
    span:12
  },
  {
    prop: 'reqCode',
    label: '业务订单编号',
    span: 12
  },
  {
    prop:'supplier',
    label:'供应商信息',
    _slot_:'supplier',
    span: 12
  },
  {
    prop: 'service_amount',
    label: '结算总金额',
    span: 6
  },
  {
    label:'发票申请类型',
    prop:'invoice_type',
    _slot_:'invoice_type',
    span:6
  },
  {
    prop:'invoice_title',
    label:'供应商发票抬头',
    span:12,
    _slot_:'invoice_title',
  },

  // {
  //   prop: 'service_amount',
  //   label: '本次申请金额',
  //   span: 6
  // },
  // {
  //   prop: 'ainv_fee',
  //   label: '已开票金额',
  //   span: 6
  // },
  // {
  //   prop: 'winv_fee',
  //   label: '未开票金额',
  //   span: 6
  // },
  // {
  //   prop: 'apay_amount',
  //   label: '已回款金额',
  //   span: 6
  // },
  // {
  //   prop: 'wpay_amount',
  //   label: '未回款金额',
  //   span: 6
  // },
  {
    prop:'creater',
    label:'创建人',
    span:6
  },
  {
    prop: 'createtime',
    label: '创建时间',
    span: 6
  },
  {
    label:'凭证图片',
    _slot_:'pz',
    span:12
  },
]

const demandOrderColumns = [
  {
    prop: 'todo',
    label: '平台订单编号',
    span: 8
  }
]
const listCol = [
  {
    prop: 'settle_code',
    label: '平台结算编号',
    width: '105px'
  },

  {
    prop: 'reqCode',
    label: '需求订单编号',
    width: '185px'
  },
  {
    prop: 'service_amount',
    label: '平台结算金额',
    width: '100px'
  },
  {
    label: '状态',
    _slot_:'status',
    width: '165px',
  },
  {
    prop: 'apay_amount',
    label: '已回款金额',
    'width': '100px'
  },
  {
    prop: 'wpay_amount',
    label: '未回款金额',
    width: '100px'
  },
  {
    prop: 'ainv_fee',
    label: '已开票金额',
    width: '100px'
  },
  {
    prop: 'winv_fee',
    label: '未开票金额',
    width: '100px'
  },
  {
    prop:'invoice_title',
    label:"发票抬头",
    minWidht:'120px',
    _slot_:'title'
  },
  {
    prop: 'supplierName',
    label: '供应商',
    minWidth: '120px',
    _slot_:'supplier'
  },
  {
    prop:'creater',
    label:'申请人',
    width:'80px'
  },
  {
    prop:'createtime',
    label:'申请时间',
    width:'150px'
  },
  {
    prop: '',
    label: '操作',
    fixed: 'right',
    _noset_: true,
    _slot_: 'operation',
    width: 50
  }
]

const invoiceColumns = [
  {
    prop: 'todo',
    label: '抬头',
    span:24
  },
  {
    prop: 'todo',
    label: '纳税人识别号',
    span:24
  },
  {
    prop: 'todo',
    label: '地址、电话',
    span:24
  },
  {
    prop: 'todo',
    label: '开户行及账号',
    span:24
  }
]

export {
  listCol,
  invoiceColumns,
  editColumns,
  statusList,
  demandOrderColumns
}
