const statusList = [
  { id: '0', label: '待业务主管审核', type: '' },
  { id: '1', label: '业务主管已通过', type: 'success' },
  { id: '2', label: '业务主管已驳回', type: 'danger' },
  { id: '3', label: '业务主管越线通过', type: 'warning' },
  { id: '4', label: '取消议价', type: 'info' }
  // 已选完商品，取消议价
]

//*  预付类型选项 **/ 
const prepaymentTypeOptions =  [
  { value: "1", label:"客户垫付"},
  { value :"2", label:"平台垫付"},
]

const listCol = [
  {
    prop: 'reqCode',
    label: '需求订单编号',
    width: '185'
  },

  {
    label:'活动名称',
    prop:"name",
    minWidth:'185px'
  },

  {
    prop: 'shortname',
    label: '活动城市',
    width: '90'
  },
  {
    prop: 'act_time',
    label: '活动时间',
    width: '155px',
    _slot_:'actTime'
  },
  {
    prop: 'status',
    label: '状态',
    width: '170px',
    _slot_:'status'
  },
  {
    prop: 'req_demand_name',
    label: '项目需求',
    minWidth: '120px',
    _slot_:'req_demand'
  },
  {
    prop: 'participant',
    label: '活动人数',
    width: '105px',
    _slot_: "participant"
  },

  {
    prop: 'require_item_name',
    label: '活动类型',
    width: '105px'
  },
  // {
  //   prop: 'act_day_count',
  //   label: '活动总天数',
  //   'width': '90'
  // },
  // {
  //   prop: 'req_endtime',
  //   label: '咨询截止时间',
  //   'min-width': '125'
  // },
  {
    prop: 'item_name',
    label: '组织名称',
    'width': '120'
  },
  // {
  //   prop: 'req_tel',
  //   label: '联系电话',
  //   'width': '120'
  // },
  // {
  //   prop: 'req_user_name',
  //   label: '创建人',
  //   'width': '120'
  // },
  {
    prop: 'update_time',
    label: '创建时间',
    'width': '145px'
  },
  {
    prop: '',
    label: '操作',
    fixed: 'right',
    _noset_: true,
    _slot_: 'operation',
    width: 80
  }
]

const demandDetailColumns = [
  {
    prop:'reqCode',
    label:"需求订单编号",
    span:6
  },
  {
    prop:'shortname',
    label:'意向位置',
    span: 6
  },
  // {
  //   prop:'flow_stage',
  //   label:'当前阶段',
  //   span:8
  // },
  {
    label:'当前状态',
    span:12,
    _slot_:'currentStatus'
  },
  {
    prop:'require_item_name',
    label:'活动类型',
    span:6
  },
  {
    prop:'act_time',
    label:'活动时间',
    span:6,
    _slot_:'act_time'
  },
  {
    prop:'name',
    label:'活动名称',
    span:12
  },
  {
    prop:'item_name',
    label:'所在组织',
    span:6
  },
  // {
  //   prop:'req_user_name',
  //   label:'创建人',
  //   span:8
  // },
  {
    prop:'participant',
    label:'活动人数',
    span:6,
    _slot_: 'participant'
  },
  {
    prop:'req_demand',
    label:'项目需求',
    span:12,
    _slot_:'req_demand_name'
  },

  {
    prop:'req_tel',
    label:'联系电话',
    span:6
  },

  {
    prop:'req_user_name',
    label:'订单创建人',
    span:6
  },
  {
    prop:'TODO',
    label:'订单预付情况',
    span:12,
    _slot_:'prepaymentType'
  },
  {
    prop:'settle_amount',
    label:'结算总金额',
    span:6
  },
  {
    prop:'create_time',
    label:'创建时间',
    span:6
  },
  {
    label:'凭证图片',
    _slot_:'pz',
    span:12
  },
  // {
  //   prop:'supplierName',
  //   label:'活动执行供应商',
  //   span:8
  // },
  // {
  //   label: '订单总金额',
  //   span: 8
  // },

  

  // {
  //   label:'预付金额',
  //   span:8,
  //   _slot_:'prepaymentAmount'
  // },
  {
    prop:'ainv_fee',
    label:'已回票金额',
    span:6
  },
  {
    prop:'winv_fee',
    label:'未回票金额',
    span:6
  },
  {
    prop: 'companyName',
    label: '客户名称',
    span:12
  },
  // {
  //   prop:'',
  //   label:'付款总金额',
  //   span:8
  // },
  {
    prop:'apay_amount',
    label:'已付款金额',
    span:6
  },
  {
    prop:'wpay_amount',
    label:'未付款金额',
    span:6
  },
  {
    prop: 'store_name',
    label:'店铺名称',
    span:12
  },
]

export {
  listCol, 
  statusList,
  demandDetailColumns,
  prepaymentTypeOptions
}
