
const statusList = [
  { id: '1', label: '待完成平台结算', type: '' },
  { id: '2', label: '待供应商上传发票', type: '' },
  { id: '3', label: '供应商部分回票', type: '' },
  { id: '4', label: '已全部回票,待客户审核', type: '' },
  { id: '5', label: '开票申请完成', type: 'success' }
]

const listCol = [
  {
    prop: 'invNo',
    label: '开票申请编号',
    width: '105px'
  },
  {
    prop: 'reqCode',
    label: '需求订单编号',
    width: '185px'
  },
  {
    prop: 'status',
    label: '状态',
    _slot_:'status',
    'width': '170px'
  },
  {
    prop: 'total_price',
    label: '申请金额',
    width: '110px'
  },
  {
    prop: 'invoice_type',
    label: '发票类型',
    width: '85px',
    _slot_: 'invoice_type'
  },
  {
    prop: 'companyName',
    label: '需求公司',
    minWidth: '120px'
  },
  {
    prop: 'invoice_title',
    label: '发票抬头',
    minWidth: '120px',
    _slot_:'title'
  },
  {
    prop:'supplierName',
    label: '供应商',
    _slot_:'supplier',
    minWidth: '120px'
  },
  // {
  //   prop: 'invoice_code',
  //   label: '纳税识别号',
  //   'min-width': '180'
  // },
  // {
  //   prop: 'ainv_fee',
  //   label: '已开票金额',
  //   minWidth: '150px'
  // },

  // {
  //   prop: 'winv_fee',
  //   label: '未开票金额',
  //   'width': '120px'
  // },
  {
    prop:'xx',
    label:'申请人',
    width:'80px'
  },
  {
    prop:'createtime',
    label:'申请时间',
    width:'150px'
  },
  {
    prop: '',
    label: '操作',
    _noset_: true,
    fixed: 'right',
    _slot_: 'operation',
    width: 80
  }
]

const invoiceApplyColumns = [
  {
    prop: 'invNo',
    label: '发票申请编号',
    span: 6
  },
  {
    prop:'status',
    label:'状态',
    span:6,
    _slot_:'status'
  },
  {
    prop:'companyName',
    label:'客户公司',
    _slot_:'company',
    span: 12
  },
  {
    prop:'total_price',
    label:'当前申请金额',
    span:6
  },
  {
    prop:'invoice_type',
    label:'发票申请类型',
    span: 6,
    _slot_:'invoice_type'
  },
  {
    prop:'invoice_title',
    label:'客户发票抬头',
    span: 12,
    _slot_:'title'
  },
  {
    prop:'creater',
    label:'创建人',
    span: 6
  },
  {
    prop:'createtime',
    label:'创建时间',
    span: 6
  },
  {
    prop:'供应商',
    label:'供应商',
    span:12,
    _slot_:'supplier'
  },
  {
    prop:'ainv_fee',
    label:'已开票金额',
    span: 6
  },
  {
    prop:'winv_fee',
    label:'未开票金额',
    span: 6
  },
  {
    prop: 'store_name',
    label:'店铺名称',
    span:12
  },
  // {
  //   prop:'wpay_amount',
  //   label:'未回款金额',
  //   span: 6
  // },
  // {
  //   prop:'apay_amount',
  //   label:'已回款金额',
  //   span: 6
  // },
  {
    prop:'remark',
    label:'备注',
    span: 24
  }
]

export {
  listCol, 
  invoiceApplyColumns,
  statusList
}
