
const statusList = [
  { id: '1', label: '待上传付款凭证', type: '' },
  { id: '2', label: '待供应商审核', type: '' },
  { id: '3', label: '付款申请已完成', type: 'success' }
]

const editColumns = [
  {
    prop: 'reqCode',
    label: '平台订单编号',
    span: 8
  },

  {
    prop: 'DzNo',
    label: '业务订单编号',
    span: 8
  },
  {
    prop: 'createtime',
    label: '创建时间',
    span: 8
  },
  {
    prop:'companyNo',
    label:'客户公司',
    _slot_:'company',
    span:8
  },
  {
    prop:'supplierNo',
    label:'供应商',
    _slot_:'supplier',
    span:8
  },
  {
    prop: 'pay_amount',
    label: '付款申请总金额',
    span: 8
  },
  {
    prop: 'status',
    label: '状态',
    _slot_: 'status',
    span: 8
  },
  {
   prop: 'pay_proof',
   label: '凭证图片',
   span: 16 ,
   _slot_:'pay_proof'
  }
]

const listCol = [
  {
    type:'selection'
  },
  {
    prop: 'DzNo',
    label: '付款申请编号',
    width: '115'
  },
  {
    prop: 'reqCode',
    label: '需求订单编号',
    width: '185'
  },
  {
    label: '状态',
    _slot_:'status',
    width: '155'
  },
  {
    prop: 'pay_amount',
    label: '付款金额',
    width: '120px'
  },
  {
    prop: 'companyName',
    label: '客户公司',
    minWidth: '155px',
    _slot_: 'company'
  },
  {
    prop: 'supplierName',
    label: '供应商',
    minWidth: '155px',
    _slot_:'supplier'
  },
  {
    prop: "creater",
    label: "创建人",
    minWidth: '155px'
  },
  {
    prop: 'createtime',
    label: '创建时间',
    'min-width': '180'
  },
  {
    prop: '',
    label: '操作',
    fixed: 'right',
    _noset_: true,
    _slot_: 'operation',
    width: 50
  }
]

export {
  listCol, 
  statusList,
  editColumns
}
